'use strict';

var _index = require('./index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

test('Replace blacklisted words with asterisks', function () {
    return expect((0, _index2.default)('The name of NX will be the Nintedo Switch', ['switch'])).toBe('The name of NX will be the Nintedo ***');
});

test('Replace multiple blacklisted words with asterisks', function () {
    return expect((0, _index2.default)('The name of NX will be the Nintedo Switch. The Switch will be awesome.', ['switch'])).toBe('The name of NX will be the Nintedo ***. The *** will be awesome.');
});